Top2Vec Model REST API
======================

Expose a trained and saved Top2Vec model with a REST API.

Docker Installation
------------
```bash
git clone https://github.com/ddangelov/Top2Vec.git
cd restful-top2vec
docker build --build-arg model_path="/path_to_top2vec_model" -t restful-top2vec .
```
Docker Build Arguments:

  * ``model_path``: Path to a saved Top2Vec model.
  * ``model_name``: (Optional) Name of Top2Vec model.
  
If providing model name:
```bash
EXPORT model_path="/path_to_top2vec_model"
EXPORT model_name="model_name"
docker build --build-arg model_path --build-arg model_name -t restful-top2vec .
```

  

Run Container 
-------------
```bash
docker run -d --name model-name -p 80:80 restful-top2vec
```
Documentation
-------------

Go to <http://localhost:80/docs>

![](https://raw.githubusercontent.com/ddangelov/Top2Vec/master/images/restful-top2vec.png)
